> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Metadata cascade policies resources

A metadata cascade policy describes how metadata instances applied to a folder should be applied to any item within that folder.

## Metadata cascade policies

A list of metadata cascade policies.

<Accordion title="Attributes and example">
  | Property      | Type                                                         | Required | Description                                                                                                                                                                            |
  | ------------- | ------------------------------------------------------------ | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `limit`       | `integer`                                                    | No       | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
  | `next_marker` | `string`                                                     | No       | The marker for the start of the next page of results. Can be `null`.                                                                                                                   |
  | `prev_marker` | `string`                                                     | No       | The marker for the start of the previous page of results. Can be `null`.                                                                                                               |
  | `entries`     | array of [Metadata cascade policy](#metadata-cascade-policy) | No       | A list of metadata cascade policies.                                                                                                                                                   |

  ```json Example theme={null}
  {
    "limit": 1000,
    "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
    "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
    "entries": [
      {
        "id": "6fd4ff89-8fc1-42cf-8b29-1890dedd26d7",
        "type": "metadata_cascade_policy",
        "owner_enterprise": {
          "type": "enterprise",
          "id": "690678"
        },
        "parent": {
          "type": "folder",
          "id": "1234567"
        },
        "scope": "enterprise_123456",
        "templateKey": "productInfo"
      }
    ]
  }
  ```
</Accordion>

## Metadata cascade policy

A metadata cascade policy automatically applies a metadata template instance to all the files and folders within the targeted folder.

<Accordion title="Attributes and example">
  | Property           | Type           | Required | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
  | ------------------ | -------------- | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `id`               | `string`       | Yes      | The ID of the metadata cascade policy object.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
  | `type`             | `enum<string>` | Yes      | The value will always be `metadata_cascade_policy`. Available options: `metadata_cascade_policy`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
  | `owner_enterprise` | `object`       | No       | The enterprise that owns this policy.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
  | `parent`           | `object`       | No       | Represent the folder the policy is applied to.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
  | `scope`            | `string`       | No       | The scope of the metadata cascade policy can either be `global` or `enterprise_*`. The `global` scope is used for policies that are available to any Box enterprise. The `enterprise_*` scope represents policies that have been created within a specific enterprise, where `*` will be the ID of that enterprise.                                                                                                                                                                                                                                                                                       |
  | `templateKey`      | `string`       | No       | The key of the template that is cascaded down to the folder's children. In many cases the template key is automatically derived of its display name, for example `Contract Template` would become `contractTemplate`. In some cases the creator of the template will have provided its own template key. Please \[list the templates for an enterprise]\[list], or get all instances on a \[file]\[file] or \[folder]\[folder] to inspect a template's key. \[list]: /reference/get-metadata-templates-enterprise \[file]: /reference/get-files-id-metadata \[folder]: /reference/get-folders-id-metadata |

  ```json Example theme={null}
  {
    "id": "6fd4ff89-8fc1-42cf-8b29-1890dedd26d7",
    "type": "metadata_cascade_policy",
    "owner_enterprise": {
      "type": "enterprise",
      "id": "690678"
    },
    "parent": {
      "type": "folder",
      "id": "1234567"
    },
    "scope": "enterprise_123456",
    "templateKey": "productInfo"
  }
  ```
</Accordion>
